summaryrefslogtreecommitdiffstats
path: root/deps/qt/qt.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/qt/qt.SlackBuild')
-rwxr-xr-xdeps/qt/qt.SlackBuild27
1 files changed, 22 insertions, 5 deletions
diff --git a/deps/qt/qt.SlackBuild b/deps/qt/qt.SlackBuild
index a7a4e85..91a1339 100755
--- a/deps/qt/qt.SlackBuild
+++ b/deps/qt/qt.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -41,7 +41,7 @@
PKGNAM=qt
VERSION=$(ls qt-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-5}
NUMJOBS=${NUMJOBS:--j7}
@@ -113,6 +113,12 @@ zcat $CWD/qt.ld-gold.patch.gz | patch -p1 --verbose || exit 1
# Stupid idea - remove it:
zcat $CWD/qt.webkit-no_Werror.patch.gz | patch -p1 --verbose || exit 1
+# Patch for boost-1.53:
+zcat $CWD/qt-everywhere-opensource-src-4.8.4-QTBUG-22829.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix call to QMetaObject::metaCall from updateProperty (QTBUG-29082):
+zcat $CWD/qt-fix-qvmemetadata-crash.patch.gz | patch -p1 --verbose || exit 1
+
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
@@ -131,6 +137,7 @@ export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
-no-phonon \
-nomake examples \
-nomake demos \
+ -nomake docs \
-no-separate-debug-info \
-no-pch
# No-precompiled-headers is ccache-friendly.
@@ -205,6 +212,14 @@ mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
done
)
+# Install Qt's private headers - at least Gentoo and Fedora are adding these
+# and some software has (inevitably) started depending on them:
+# We're using `rsync -R` as easy way to preserve relative path names:
+rsync -aR \
+ include/Qt{Core,Declarative,Gui,Script}/private \
+ src/{corelib,declarative,gui,script}/*/*_p.h \
+ ${PKG}/usr/lib${LIBDIRSUFFIX}/qt/
+
# Add menu entries for all those hidden but great Qt applications:
# Qt logo:
convert $PKG/usr/lib$LIBDIRSUFFIX/qt/doc/src/images/qt-logo.png -resize 48x48 $PKG/usr/share/icons/hicolor/48x48/apps/qt-logo.png
@@ -274,9 +289,11 @@ EOF
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a *GPL_EXCEPTION* FAQ* INSTALL KNOWN* LICENSE* README* changes-* \
$PKG/usr/doc/$PKGNAM-$VERSION
-( cd $PKG/usr/doc/$PKGNAM-$VERSION
- ln -sf /usr/lib${LIBDIRSUFFIX}/qt/doc/html .
-)
+if [ -d $PKG/usr/lib${LIBDIRSUFFIX}/qt/doc/html ]; then
+ ( cd $PKG/usr/doc/$PKGNAM-$VERSION
+ ln -sf /usr/lib${LIBDIRSUFFIX}/qt/doc/html .
+ )
+fi
mkdir -p $PKG/install
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh